import {InventoryCondition} from "./InventoryCondition";
import {ItemGroup} from "../../inventory/ItemGroup";
import {CharacterDependency} from "../CharacterDependency";

export class InventoryItemgroupCondition extends InventoryCondition {
  itemgroup: ItemGroup | undefined


  constructor(characterDependency: CharacterDependency, minValue: number, maxValue: number, itemgroup: ItemGroup | undefined) {
    super(characterDependency, minValue, maxValue);
    this.itemgroup = itemgroup;
  }

  validate(): boolean {
    return this.itemgroup != undefined;
  }


}
